# ButtonConfiguration class

Button configuration.

## Constructors

ButtonConfiguration({bool visible = true, String text = "", BackgroundStyle? background, ForegroundStyle? foreground})
ButtonConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

background ↔ BackgroundStyle
  The style of the button's background.
  getter/setter pair
foreground ↔ ForegroundStyle
  The style of the button's foreground (icon, text).
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
text ↔ String
  The text to be displayed on the button. Default is ""
  getter/setter pair
visible ↔ bool
  Whether the button is visible or not. Default is true
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited